package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 榜单与学校关联对象 mall_link_ranking_school
 * 
 * @author LCL
 * @date 2023-10-24
 */
public class MallLinkRankingSchool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 关联主键ID */
    private Long linkId;

    /** 榜单ID */
    @Excel(name = "榜单ID")
    private Long rankingId;

    /** 榜单名称 */
    @Excel(name = "榜单名称")
    private String rankingName;

    /** 学校ID */
    @Excel(name = "学校ID")
    private Long schoolId;

    /** 学校名称 */
    @Excel(name = "学校名称")
    private String schoolName;

    /** 学校图标 */
    @Excel(name = "学校图标 ")
    private String schoolIcon;

    /** 推荐理由 */
    @Excel(name = "推荐理由")
    private String recommend;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setLinkId(Long linkId) 
    {
        this.linkId = linkId;
    }

    public Long getLinkId() 
    {
        return linkId;
    }
    public void setRankingId(Long rankingId) 
    {
        this.rankingId = rankingId;
    }

    public Long getRankingId() 
    {
        return rankingId;
    }
    public void setRankingName(String rankingName) 
    {
        this.rankingName = rankingName;
    }

    public String getRankingName() 
    {
        return rankingName;
    }
    public void setSchoolId(Long schoolId) 
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId() 
    {
        return schoolId;
    }
    public void setSchoolName(String schoolName) 
    {
        this.schoolName = schoolName;
    }

    public String getSchoolName() 
    {
        return schoolName;
    }
    public void setRecommend(String recommend) 
    {
        this.recommend = recommend;
    }

    public String getRecommend() 
    {
        return recommend;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public String getSchoolIcon() {
        return schoolIcon;
    }

    public void setSchoolIcon(String schoolIcon) {
        this.schoolIcon = schoolIcon;
    }

    @Override
    public String toString() {
        return "MallLinkRankingSchool{" +
                "linkId=" + linkId +
                ", rankingId=" + rankingId +
                ", rankingName='" + rankingName + '\'' +
                ", schoolId=" + schoolId +
                ", schoolName='" + schoolName + '\'' +
                ", schoolIcon='" + schoolIcon + '\'' +
                ", recommend='" + recommend + '\'' +
                ", sort=" + sort +
                ", remarks='" + remarks + '\'' +
                ", createAt='" + createAt + '\'' +
                ", updateAt='" + updateAt + '\'' +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
